/*
 * LED.hpp
 *
 *  Created on: Jun 25, 2023
 *      Author: Carst
 */

#ifndef LED_HPP_
#define LED_HPP_

#include <cstdint>

namespace ElektronischeLast
{
  class LED
  {
  public:
    LED(std::uint32_t interval);
    ~LED();
    void blink(void);
    void toggle(void);
  private:
    std::uint32_t last_toggle;
    std::uint32_t interval;
  };
}

#endif /* LED_HPP_ */
